Page MenuHomePhabricator

Flow front-end: Preview in Close topic leaves page, gets "hijacking" error
Closed, ResolvedPublic

Description

On beta wiki, choose Close topic, enter a summary, click the Preview button

  • you're taken to a new page instead of an inline action
  • it doesn't actually preview and the text in the textarea is lost
  • the new page always shows "There seems to be a problem with your login session; this action has been canceled as a precaution against session hijacking. Go back to the previous page, reload that page and then try again"

If you try to preview on this external page, it immediately closes the topic with the summary you entered.

FWIW in the recent past Preview has shown a preview inline but turned Cancel italic, and/or immediately performed the close action.


Version: master
Severity: normal

Details

Reference
bz67379

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:42 AM
bzimport set Reference to bz67379.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Jul 1 2014, 6:04 PM

There are similar problems with the Preview button when you Reopen, also errors when you use it in Summarize, etc. Try preview in all variations of Close/Reopen/Summarize/Summarize existing (i.e. edit summary).

Change 144627 had a related patch set uploaded by EBernhardson:
Preview in close topic

https://gerrit.wikimedia.org/r/144627

Change 144627 merged by jenkins-bot:
Preview in close topic

https://gerrit.wikimedia.org/r/144627

Confirmed fixed

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:36 AM